<?php
function wpparallax_dynamic_styles(){

    $header_image = get_theme_mod('wp_parallax_breadcrumb_image','');

    $output_css = '';

    if($header_image){ 

        $output_css .=
             '.header-banner-container{
                background-image: url('.esc_url($header_image).');
                background-repeat: no-repeat;
            }';
    }

    /**
    * Section font color 
    */
    $wp_parallax_homepage = get_theme_mod('wp_parallax_homepage');
    $wp_parallax_homepage_colors = json_decode($wp_parallax_homepage);
    if($wp_parallax_homepage_colors != ''):
    foreach( $wp_parallax_homepage_colors as $wp_parallax_homepage_color ){
        $font_color =  $wp_parallax_homepage_color->wp_parallax_section_txt_color;
        $layouts = $wp_parallax_homepage_color->wp_parallax_layout;
        $layout = '.'.$layouts.'-layout';
        
        if( $font_color ){
             $output_css .= 
                     "$layout{
                        color:".esc_html($font_color).";
                }";
        }
    }
    endif;

    wp_add_inline_style('wpparallax-style', $output_css);
} 
add_action('wp_enqueue_scripts', 'wpparallax_dynamic_styles');   